# Poco::Data

# class UnknownDataBaseException

Library: Data
Package: DataCore
Header: Poco/Data/DataException.h

## Inheritance

Direct Base Classes: DataException

All Base Classes: DataException, Poco::Exception, Poco::IOException, Poco::RuntimeException, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### UnknownDataBaseException

UnknownDataBaseException(
int code = 0
);

### UnknownDataBaseException

UnknownDataBaseException(
const UnknownDataBaseException & exc
);

### UnknownDataBaseException

UnknownDataBaseException(
const std::string & msg,
int code = 0
);

### UnknownDataBaseException

UnknownDataBaseException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### UnknownDataBaseException

UnknownDataBaseException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~UnknownDataBaseException

~UnknownDataBaseException() noexcept;

## Member Functions

### className

const char * className() const noexcept;

See also: Poco::Data::DataException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const noexcept;

See also: Poco::Data::DataException::name()

### operator =

UnknownDataBaseException & operator = (
const UnknownDataBaseException & exc
);

### rethrow

void rethrow() const;

See also: Poco::Data::DataException::rethrow()